Package org.apache.wiki.forms

# Class FormSelect

java.lang.Object
org.apache.wiki.forms.FormElement
org.apache.wiki.forms.FormSelect

All Implemented Interfaces:
  `Plugin`

public class FormSelect extends FormElement
Creates a Form select field.

## Field Summary

### Fields inherited from class org.apache.wiki.forms.FormElement

`FORM_VALUES_CARRIER, HANDLERPARAM_PREFIX, HIDE_SUCCESS, PARAM_ELEMENT, PARAM_FORM, PARAM_FORMNAMEHIDDEN, PARAM_HANDLER, PARAM_HIDEFORM, PARAM_INPUTNAME, PARAM_POPULATE, PARAM_SUBMITHANDLER, PARAM_VALUE`

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`FormSelect()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context ctx, Map<String,String> params)`

### Methods inherited from class org.apache.wiki.forms.FormElement

`getFormInfo, storeFormInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FormSelect

public FormSelect()

## Method Details

### execute

public String execute(Context ctx, Map<String,String> params) throws PluginException

Throws:
  `PluginException`